Get Fiat and Crypto Amount Limit
POST /papi/v1/ramp/connect/prime/fiat-crypto-amount-limit
Request Body
| Field | Type | Mandatory | Remarks |
|---|
| userId | string | Yes | Customer's Binance sub-account ID |
| fiatCurrency | string | Yes | fiat currency |
| cryptoCurrency | string | Yes | crypto currency |
| direction | string | Yes | BUY or SELL |
| amount | decimal | Yes | Requested amount. |
| amountType | int | Yes | Specify whether the total amount is in fiat:1 or crypto:2 |
| customSpread | decimal | Yes | Specify the custom spread value. For example, 0.01 means a 1% spread (0.01 = 1%). |
Example
{
"userId": "54321123456",
"fiatCurrency": "EUR",
"cryptoCurrency": "BTC",
"direction": "BUY",
"amount": 100,
"amountType": 1,
"customSpread": 0.01
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/fiat-crypto-amount-limit \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"userId":"{testUserId}","fiatCurrency":"EUR","cryptoCurrency":"BNB","direction":"BUY","amount":10,"amountType":1,"customSpread":0.01}'
Response Body
| Field | Type | Remarks |
|---|
| fiatMinLimit | decimal | fiat min amount limit |
| fiatMaxLimit | decimal | fiat max amount limit |
| cryptoMinLimit | decimal | crypto min amount limit |
| cryptoMaxLimit | decimal | crypto max amount limit |
Example
{
"fiatMinLimit": "10",
"fiatMaxLimit": "10000000",
"cryptoMinLimit": "0.00448887",
"cryptoMaxLimit": "4488.87147336"
}
Last modified on